{% extends 'frame.html.twig' %}

{% block additional_headers %}
    <script src="{{ asset('bundles/app/js/make_dynamic_request.js') }}"></script>
{% endblock %}

{% block page_header %}
    {{ 'Daily plan' | trans }}
{% endblock %}

{% block body %}
    {% include 'widgets/ajax_token.html.twig' %}
    {% include "widgets/horizontal_switcher_timeslots_shifts.html.twig" %}

    <div class="table_wrapper">
        <div class="table">
            <div class="table_header general_list_row table_row">
                <div class="general_list_cell table_cell">{{ 'Date' | trans }}</div>
                <div class="general_list_cell table_cell">{{ 'Timeslot' | trans }}</div>
                <div class="general_list_cell table_cell">{{ 'Job' | trans }}</div>
                <div class="general_list_cell table_cell">{{ 'Actions' | trans }}</div>
            </div>



            {% for shift in shifts %}
                <div class="general_list_row table_row">
                    <div class="general_list_cell table_cell">{{ shift.timeslot.date|date("d. m. Y") }}</div>
                    <div class="general_list_cell table_cell">{{ shift.timeslot.beginTime|date("H:i") }} - {{ shift.timeslot.endTime|date("H:i") }}</div>
                    <div class="general_list_cell table_cell">{{ shift.timeslot.job.name }}</div>
                    <div class="general_list_cell table_cell">
                       {% include 'widgets/employee_shift_button.html.twig' with {'shift': shift} %}
                    </div>

                </div>
            {% endfor %}
        </div>
    </div>
{% endblock %}